## python-upsetplot 0.6.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf _modules/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/project-template.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/project-template.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/project-template"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/project-template"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
numpy
scipy
pandas
matplotlib
numpydoc
sphinx-gallery
sphinx-issues
seaborn
scikit-learn
nbsphinx

=== debian/changelog ===
python-upsetplot (0.6.0-3) unstable; urgency=medium

  * Team upload.
  * Remove redundant debian/gbp.conf
  * Move package to Debian Python Team
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 13:36:57 +0100

python-upsetplot (0.6.0-2) unstable; urgency=medium

  * Re-introduce d/p/ignore-dtype-while-asserting.patch
    to build on i386

 -- Nilesh Patra <nilesh@debian.org>  Fri, 27 Aug 2021 23:42:34 +0530

python-upsetplot (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Drop d/p/ignore-dtype-while-asserting.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 27 Aug 2021 23:04:52 +0530

python-upsetplot (0.5.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 19 Aug 2021 16:48:19 +0530

python-upsetplot (0.5.0-1) unstable; urgency=low

  * Initial packaging (Closes: #980806)

 -- Diane Trout <diane@ghic.org>  Tue, 13 Jul 2021 19:27:28 +0530

=== debian/control ===
Source: python-upsetplot
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Diane Trout <diane@ghic.org>,
 Nilesh Patra <nilesh@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-matplotlib,
 python3-pandas,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://upsetplot.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-upsetplot
Vcs-Git: https://salsa.debian.org/python-team/packages/python-upsetplot.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-upsetplot
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Draw Lex et al.'s UpSet plots with Pandas and Matplotlib
 This is another Python implementation of UpSet plots by Lex et al. [Lex2014]_.
 UpSet plots are used to visualise set overlaps; like Venn diagrams but
 more readable. Documentation is at https://upsetplot.readthedocs.io.
 .
 This ``upsetplot`` library tries to provide a simple interface backed by an
 extensible, object-oriented design.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=upsetplot
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"
endif

## python-upsetplot 0.6.1

=== debian/changelog ===
python-upsetplot (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.6.1. No changes needed.

 -- Diane Trout <diane@ghic.org>  Wed, 15 Jun 2022 13:51:24 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://upsetplot.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-upsetplot
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-upsetplot.git

## python-upsetplot 0.8.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
 seaborn
 scikit-learn
 nbsphinx
+sphinx<2
+sphinx-rtd-theme

=== debian/changelog ===
python-upsetplot (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 11 Jan 2023 22:23:50 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Diane Trout <diane@ghic.org>,
- Nilesh Patra <nilesh@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:

## python-upsetplot 0.9.0

=== debian/changelog ===
python-upsetplot (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Fix test that fails with pytest 8.x (thanks for the hint to
    Michael R. Crusoe)
    Closes: #1063980, #1066734

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2024 13:38:25 +0100

python-upsetplot (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Mark test failing with pytest 8 xfail
    Addresses bug 1063980, #1066734

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2024 11:02:03 +0100

python-upsetplot (0.8.0-3) unstable; urgency=medium

  * Add pandas-2.0.patch to fix pandas compatability issues
    (Closes: #1044069)

 -- Diane Trout <diane@ghic.org>  Tue, 19 Dec 2023 16:11:23 -0800

python-upsetplot (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: pybuild-plugin-pyproject
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace distutils by packaging to work with Python3.12
    Closes: #1056510

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 17:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-matplotlib,
  python3-pandas,
@@ -14,7 +15,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://upsetplot.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-upsetplot
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-upsetplot.git
@@ -26,6 +27,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-packaging
 Description: Draw Lex et al.'s UpSet plots with Pandas and Matplotlib
  This is another Python implementation of UpSet plots by Lex et al. [Lex2014]_.
  UpSet plots are used to visualise set overlaps; like Venn diagrams but

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=upsetplot
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
